### A free/open-source library for quantitative finance

Public Member Functions | Protected Attributes
BondHelper Class Reference

fixed-coupon bond helper More...

`#include <ql/termstructures/yield/bondhelpers.hpp>`

Inheritance diagram for BondHelper:
[legend]

List of all members.

## Public Member Functions

| BondHelper (const Handle< Quote > &cleanPrice, const boost::shared_ptr< Bond > &bond)
RateHelper interface
Real | impliedQuote () const
void | setTermStructure (YieldTermStructure *)
additional inspectors
boost::shared_ptr< Bond > | bond () const
Visitability
void | accept (AcyclicVisitor &)

## Protected Attributes

boost::shared_ptr< Bond > | bond_
RelinkableHandle < YieldTermStructure > | termStructureHandle_

## Detailed Description

fixed-coupon bond helper

Warning:
  This class assumes that the reference date does not change between calls of setTermStructure().

## Constructor & Destructor Documentation

BondHelper | ( | const Handle< Quote > & | cleanPrice,
|  | const boost::shared_ptr< Bond > & | bond
| ) |  |

Warning:
  Setting a pricing engine to the passed bond from external code will cause the bootstrap to fail or to give wrong results. It is advised to discard the bond after creating the helper, so that the helper has sole ownership of it.